org.apache.felix.utils.collections

## Class StringArrayMap<V>

- java.lang.Object
- - org.apache.felix.utils.collections.StringArrayMap<V>

All Implemented Interfaces:
  Map<String,V>

    public class StringArrayMap<V>
    extends Object
    implements Map<String,V>

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Field Summary

Fields
`protected int` `size`
`protected Object[]` `table`

### Constructor Summary

Constructors
Constructor and Description
`StringArrayMap()`
`StringArrayMap(int capacity)`
`StringArrayMap(Map<String,? extends V> map)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `clear()`
`boolean` `containsKey(Object key)`
`boolean` `containsValue(Object value)`
`protected Object` `doPut(String key, Object value)`
`Set<Map.Entry<String,V>>` `entrySet()`
`boolean` `equals(Object o)`
`V` `get(Object key)`
`int` `hashCode()`
`boolean` `isEmpty()`
`Set<String>` `keySet()`
`V` `put(String key, V value)`
`void` `putAll(Map<? extends String,? extends V> m)`
`static <T> Map<String,T>` `reduceMemory(Map<String,T> map)`
`V` `remove(Object key)`
`int` `size()`
`String` `toString()`
`Collection<V>` `values()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

### Field Detail

#### table

    protected Object[] table

#### size

    protected int size

### Constructor Detail

#### StringArrayMap

    public StringArrayMap(Map<String,? extends V> map)

#### StringArrayMap

    public StringArrayMap()

#### StringArrayMap

    public StringArrayMap(int capacity)

### Method Detail

#### reduceMemory

    public static <T> Map<String,T> reduceMemory(Map<String,T> map)

#### get

    public V get(Object key)

Specified by:
  `get` in interface `Map<String,V>`

#### put

    public V put(String key,
                 V value)

Specified by:
  `put` in interface `Map<String,V>`

#### doPut

    protected Object doPut(String key,
                           Object value)

#### keySet

    public Set<String> keySet()

Specified by:
  `keySet` in interface `Map<String,V>`

#### values

    public Collection<V> values()

Specified by:
  `values` in interface `Map<String,V>`

#### entrySet

    public Set<Map.Entry<String,V>> entrySet()

Specified by:
  `entrySet` in interface `Map<String,V>`

#### size

    public int size()

Specified by:
  `size` in interface `Map<String,V>`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Map<String,V>`

#### containsKey

    public boolean containsKey(Object key)

Specified by:
  `containsKey` in interface `Map<String,V>`

#### containsValue

    public boolean containsValue(Object value)

Specified by:
  `containsValue` in interface `Map<String,V>`

#### remove

    public V remove(Object key)

Specified by:
  `remove` in interface `Map<String,V>`

#### putAll

    public void putAll(Map<? extends String,? extends V> m)

Specified by:
  `putAll` in interface `Map<String,V>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `Map<String,V>`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `Map<String,V>`
Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Specified by:
  `equals` in interface `Map<String,V>`
Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`